Package ru.bitel.bgbilling.plugins.dispatch.common.bean

# Class Contact

java.lang.Object
ru.bitel.common.model.Id
ru.bitel.bgbilling.plugins.dispatch.common.bean.Contact

All Implemented Interfaces:
  `Serializable`, `Idable`

Direct Known Subclasses:
  `ContractContact`

public class Contact extends Id
Контакт для отправки сообщений

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Contact()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `equals(Object o)`
  `int`
  `getContactTypeId()`
  Возвращает тип данного контакта
  `int`
  `getContractId()`
  `String`
  `getDefaultValue()`
  Возвращает значение контакта по умолчанию
  `String`
  `getValue()`
  Возвращает значение контакта
  `String`
  `getValueForSend()`
  Возвращает значение контакта для отправки
  `String`
  `getValueForView()`
  Возвращает значение контакта для отправки просмотра
  `int`
  `hashCode()`
  `Contact`
  `setContactTypeId(int contactTypeId)`
  Устанавливает тип для данного контакта
  `Contact`
  `setContractId(int contractId)`
  `Contact`
  `setDefaultValue(String defaultValue)`
  Устанавливает значение контакта по умолчанию
  `Contact`
  `setId(int id)`
  Устанавливает id объекта
  `Contact`
  `setValue(String value)`
  Устанавливает значение контакта
  `String`
  `toString()`

  ### Methods inherited from class ru.bitel.common.model.Id

  `copyTo, getId, newIdList, newIdSet, newIdSet, newIdSet, newIdSet, newMap`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### Contact

    public Contact()

- ## Method Details

  - ### equals

    public boolean equals(Object o)
    Overrides:
      `equals` in class `Id`

  - ### getContactTypeId

    public int getContactTypeId()
    Возвращает тип данного контакта
    Returns:

  - ### getContractId

    public int getContractId()

  - ### getDefaultValue

    public String getDefaultValue()
    Возвращает значение контакта по умолчанию
    Returns:

  - ### getValue

    public String getValue()
    Возвращает значение контакта
    Returns:

  - ### getValueForSend

    public String getValueForSend()
    Возвращает значение контакта для отправки
    Returns:

  - ### getValueForView

    public String getValueForView()
    Возвращает значение контакта для отправки просмотра
    Returns:

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `Id`

  - ### setContactTypeId

    public Contact setContactTypeId(int contactTypeId)
    Устанавливает тип для данного контакта
    Parameters:
      `contactTypeId` -

  - ### setContractId

    public Contact setContractId(int contractId)

  - ### setDefaultValue

    public Contact setDefaultValue(String defaultValue)
    Устанавливает значение контакта по умолчанию
    Parameters:
      `defaultValue` -

  - ### setId

    public Contact setId(int id)
    Description copied from class: `Id`
    Устанавливает id объекта
    Overrides:
      `setId` in class `Id`

  - ### setValue

    public Contact setValue(String value)
    Устанавливает значение контакта
    Parameters:
      `value` -

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Id`